%define name libmaitretarot
%define version 0.1.98
%define release %mkrel 7
%define major 0
%define libname %mklibname maitretarot %major

Summary: The Maitretarot library
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Cards
Source: http://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
URL: http://www.nongnu.org/maitretarot/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: glib2-devel
BuildRequires: libxml2-devel

%description
Maitretarot is a tarot server game. Libmaitretarot is a library for
both the server and any client.

%description -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmaitretarot 
est une biblothque pour  la fois le serveur et n'importe quel client.

%package -n %libname
Summary: The Maitretarot library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Maitretarot is a tarot server game. Libmaitretarot is a library
for both the server and any client.

%description -n %libname -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmaitretarot
est une biblothque pour  la fois le serveur et n'importe quel client.

%package -n %libname-devel
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %libname-devel
This package is need to build application wich use Libmaitretarot.

%description -n %libname-devel -l fr
Ce package est utilis pour compiler les applications qui utilise 
Libmaitretarot.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog 
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/maitretarot.h



%changelog
* Sat Feb 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-7mdv2007.0
+ Revision: 116053
- rebuild

* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-6mdv2007.1
+ Revision: 108763
- buildrequires
- rebuild

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-5mdv2007.0
+ Revision: 55062
- rebuild
- Import libmaitretarot


* Mon May 01 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-4mdk
- Birthday rebuild !

* Fri Apr 08 2005 Olivier Thauvin <nanardon@mandrake.org> 0.1.98-3mdk
- rebuild, arizona_junior !!!! no new version ?
- pfff, %%mklibname

* Sun Apr 04 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.98-2mdk
- Birthday rebuild !
- arizona_junior, what are you doing ?

* Sat Feb 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.98-1mdk
- 0.1.98
- arizona_junior, yes this version is out yesterday !

* Sat Dec 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-2mdk
- rebuild for rpm and glibc

* Thu Dec 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-1mdk
- 0.1.1

* Thu Dec 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1-1mdk
- First mdk package

* Mon May 20 2002 Yves Mettier <ymettier@libertysurf.fr>
- First spec file

